#!/bin/bash
# vim: sw=2 et

# remove all references to GPLv3. the original GPLv3
# triple-licensed tarball can be obtained from ftp.trolltech.com

orig_dir=qt-x11-opensource-src-4.3.4
orig=qt-x11-opensource-src-4.3.4.tar.bz2

crip_dir=qt-x11-opensource-src-4.3.4_crippled
crip=qt-x11-opensource-src-4.3.4_crippled.tar.bz2

set -e

tmp=tmp$$
mkdir $tmp
cd $tmp
tar xf ../$orig
rm $orig_dir/*GPL3

find -type f -print0 | xargs -0 fgrep -l '** License versions 2.0 or 3.0 as published by the Free Software' | \
  while read  fname; do
    sed -i -e 's,License versions 2.0 or 3.0 as published by the Free Software,License version 2.0 as published by the Free Software,' \
      -e 's,Foundation and appearing in the files LICENSE.GPL2 and LICENSE.GPL3,Foundation and appearing in the file LICENSE.GPL2,' $fname
  done
mv $orig_dir $crip_dir
tar cjf ../$crip $crip_dir
cd ..
rm -rf $tmp
